import type { Compose } from "./compose.d.ts"
import type { Unit } from "./unit.d.ts"

type Spec = string | Compose | Simple

type Simple = {
	container: string
	cpu?: Unit
	ram?: Unit
	name?: string
	envs?: string[]
	volumes?: string[]
}

export type Deployment = {
	kind: "compose" | "simple" | "deployment"
	spec: Spec
	promocode?: string
}

export type DeploymentResponse = Deployment & {
	uuid: string
	payLink: string
}
