export type Invoice = {
	metadata?: Object
	created?: string
	price: string
	store_id: string
	currency?: string
	order_id?: string
	notification_url?: string
	redirect_url?: string
	buyer_email?: string
	promocode?: string
	shipping_address?: string
	notes?: string
	status?: string
	exception_status?: string
	products?: string[] | Object[]
	tx_hashes?: string[]
	expiration?: number
	sent_amount?: number
	id: string
	user_id: string
	time_left: number
	expiration_seconds: number
	product_names?: Object
	payments: Object[]
	paid_date: string
	payment_id: string
	refund_id: string
	paid_currency: string | null
	discount: string | null
}

type TError = {
	loc: string[] | number[]
	msg: string
	type: string
}

export type Errors = {
	detail: TError[]
}
